%global momorel 2

Summary: iSCSI Enterprise Target 
Name: iscsitarget
Version: 1.4.18
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Daemons
URL: http://sourceforge.net/projects/iscsitarget/
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{version}/%{name}-%{version}.tar.gz
NoSource: 0
# svn co http://svn.berlios.de/svnroot/repos/iscsitarget/trunk
# Source0: %{name}-%{version}.tar.gz
Patch0: iscsitarget-1.4.18-no_modprobe.patch

BuildRequires: kernel-devel
BuildRequires: openssl-devel

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
iSCSI Enterprise Target

%prep
%setup

%patch0 -p1 -b .momonga

%build
make usr

%install
%{__rm} -rf %{buildroot}

make install-usr install-etc DISTDIR=%{buildroot}
install -m 644 -D etc/initiators.deny %{buildroot}/etc/iet/initiators.deny
install -m 644 -D doc/manpages/ietd.8 %{buildroot}%{_mandir}/man8/ietd.8
install -m 644 -D doc/manpages/ietd.conf.5 %{buildroot}%{_mandir}/man5/ietd.conf.5

pushd %{buildroot}/etc/iet/
for i in `ls`
do
  mv $i ../
  ln -s ../$i $i
done

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/chkconfig --add iscsi-target
/sbin/ldconfig
if [ "$1" = 0 ]
then
	/sbin/chkconfig iscsi-target off
fi

%postun -p /sbin/ldconfig

%preun
if [ "$1" = 0 ]
then
        /sbin/service iscsi-target stop > /dev/null 2>&1 || :
        /sbin/chkconfig --del iscsi-target
fi

%files
%defattr(-, root, root)
%doc COPYING ChangeLog README README.vmware
%config(noreplace) /etc/ietd.conf
%config(noreplace) /etc/initiators.allow
%config(noreplace) /etc/initiators.deny
%config(noreplace) /etc/targets.allow
%config /etc/iet/targets.allow
%config /etc/iet/ietd.conf
%config /etc/iet/initiators.allow
%config /etc/iet/initiators.deny
%config /etc/iet/targets.allow
%{_mandir}/man?/*
%defattr(0755, root, root)
/usr/sbin/*
/etc/init.d/*

%changelog
* Sun Oct 25 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.4.18-2m)
- remove "modprobe -q crc32c".
-- implement kernel image

* Wed Oct  7 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.4.18-1m)
- update 1.4.18

* Sat Sep 06 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.4.17-1m)
- source update to 0.4.17

* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.16-3m)
- rebuild against openssl-0.9.8k

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.16-2m)
- rebuild against rpm-4.6

* Mon Oct  6 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.4.16-2m)
- stop auto-start

* Mon Sep 15 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (0.4.16-1m)
- use svn rev171
